<!-- Button trigger modal -->
<button type="button" class="btn btn-info float-right m-2" 
data-toggle="modal" data-target="#exampleModal" 
(click)="addClick()"
data-backdrop="static" data-keyboard="false"
>
    Add student
  </button>
  <!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">{{ModalTitle}}</h5>
          <button type="button" class="close"
           data-dismiss="modal" aria-label="Close"
           (click)="closeClick()">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <app-add-edit-student [stud]="student" *ngIf="ActivareAddEditStudentComponent"></app-add-edit-student>
        </div>
        
      </div>
    </div>
  </div>


<table class="table table-striped">
    <thead>
        <tr>
            <th>Student Id</th>
            <th>Student Name</th>
            <th>Faculty Name</th>
            <th>Date of matriculation</th>
            <th>Options</th>
        </tr>
    </thead>
    
    <tbody>
        <tr *ngFor="let dataRegistry of StudentList">
            <td>{{dataRegistry.StudentId}}</td>
            <td>{{dataRegistry.StudentName}}</td>
            <td>{{dataRegistry.FacultyName}}</td>
            <td>{{dataRegistry.DateOfMatriculation}}</td>
            <td>
                <button type="button" class="btn btn-ligth mr-1"
                data-toggle="modal" data-target="#exampleModal" 
                (click)="editClick(dataRegistry)"
                data-backdrop="static" data-keyboard="false"
                >
                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-pencil" viewBox="0 0 16 16">
                    <path d="M12.146.146a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-10 10a.5.5 0 0 1-.168.11l-5 2a.5.5 0 0 1-.65-.65l2-5a.5.5 0 0 1 .11-.168l10-10zM11.207 2.5 13.5 4.793 14.793 3.5 12.5 1.207 11.207 2.5zm1.586 3L10.5 3.207 4 9.707V10h.5a.5.5 0 0 1 .5.5v.5h.5a.5.5 0 0 1 .5.5v.5h.293l6.5-6.5zm-9.761 5.175-.106.106-1.528 3.821 3.821-1.528.106-.106A.5.5 0 0 1 5 12.5V12h-.5a.5.5 0 0 1-.5-.5V11h-.5a.5.5 0 0 1-.468-.325z"/>
                  </svg>
                <!-- Edit -->
                </button>
                <button type="button" class="btn btn-ligth mr-1"
                (click)="deleteClick(dataRegistry)"
                >
                  <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-trash" viewBox="0 0 16 16">
                    <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                    <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4 4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                  </svg>
                    <!-- Delete -->
                </button>
            </td>
        </tr>
    </tbody>




    
</table>